import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.naive_bayes import GaussianNB

A = np.loadtxt( "datos.csv", delimiter=',' )

X = A[:,0:2]
y = A[:,2]

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state = 30 )

clasificador = GaussianNB( )
clasificador.fit( X_entrena, y_entrena )

exactitud_entrena = clasificador.score( X_entrena, y_entrena )
print( "Entrena:", exactitud_entrena )

exactitud_prueba = clasificador.score( X_prueba, y_prueba )
print( "Prueba:", exactitud_prueba )

# Número de muestras por clase
print( clasificador.class_count_ )
print( clasificador.class_prior_ )
print( clasificador.classes_ )
print( clasificador.epsilon_ )
print( clasificador.sigma_ )
print( clasificador.theta_ )

